Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 21953 - Do not load classes on startup
Do not load classes on startup
Status: CLOSED INVALID
Product: java
Classification: Unclassified
Component: Unsupported
3.x
PC Linux
: P3 (vote)
: 3.x
Assigned To: issues@java
issues@java
: PERFORMANCE
Depends on:
Blocks: 21676
  Show dependency treegraph
 
Reported: 2002-03-28 16:45 UTC by Jaroslav Tulach
Modified: 2007-09-26 09:14 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2002-03-28 16:45:13 UTC
I am working on issue 21676 and I have run the IDE with this patch
http://www.netbeans.org/issues/showattachment.cgi?attach_id=5081 and the
arguments described there. I have found out that following classes are being
loaded into the system on startup. Please investigate why they are loaded and
prevent that to happen. Thanks.


org.netbeans.modules.java.JavaCompilerType
org.netbeans.modules.java.gj.JavaCompilerType


These classes are also loaded, but I do not know how to prevent that. But if you
do try to fix it too.

org.netbeans.modules.java.environment.LibraryProcessor
org.netbeans.modules.java.environment.LibraryArchive
org.netbeans.modules.java.environment.LibraryProcessor$1
org.netbeans.modules.java.environment.LibraryProcessor$2
org.netbeans.modules.java.environment.Utilities
Comment 1 Tomas Hurka 2002-04-02 09:13:17 UTC
I don't understand why this is P2 issue. Lowering priority.
Comment 2 Jaroslav Tulach 2002-04-02 12:18:45 UTC
Because of the keyword PERF? Is not performance important to you? Are
not you interested in knowning why the hell JavaCompilerType is
initialized on startup?
Comment 3 Jaroslav Tulach 2002-04-13 14:12:38 UTC
I'll be really glad if you could find out why the class is loaded into
the VM. I am searching for list of ways how a class can be loaded
during startup and I need your help.
Comment 4 Svata Dedic 2002-05-09 16:18:26 UTC
Invalid; 
java.environment* classes are loaded on behalf of the AutoMounter
support in core when it recognizes module-provided JARs that are
registered in the layer.
The CompilerType is not loaded on the startup, but rather at the first
query for the compiler. Since Java nodes need to check up-to-date
state to properly badge their icon, it can happen quite early - when a
Java node appears on screen. If unhappy, please disable "Show Compile
Status" in Java sources.
Comment 5 Quality Engineering 2003-07-01 13:11:15 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.
Comment 6 Quality Engineering 2003-07-01 13:17:42 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo